Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 844846 - ERROR: Namespace unshare failed.
Summary: ERROR: Namespace unshare failed.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el5
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-01 02:44 UTC by Dean T. Hu
Modified: 2012-11-28 16:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-26 00:23:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Dean T. Hu 2012-08-01 02:44:06 UTC
Description of problem:
Intermittent build failures with symptoms:

INFO: mock.py version 1.0.31 starting...
Start: init plugins
INFO: selinux enabled
WARNING: selinux: 'yum' does not support '--setopt' option
Finish: init plugins
Start: run
ERROR: Namespace unshare failed.

Version-Release number of selected component (if applicable):
mock-1.0.31-1.el5

How reproducible:
Using mock to build package

Steps to Reproduce:
1.Can happen on any build
  
Actual results:
Build fails

Expected results:
Build succeeds

Additional info:
I never saw this with mock-1.0.28-1.el5

Comment 1 Clark Williams 2012-08-01 14:37:56 UTC
reverted addition of CLONE_NEWUTS flag to unshare(2) call (not supported by 2.6.18 kernel). 

should be a 1.0.33 up shortly.

Comment 2 Fedora Update System 2012-08-01 16:07:50 UTC
mock-1.0.33-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.33-1.el5

Comment 3 Fedora Update System 2012-08-02 07:27:20 UTC
Package mock-1.0.33-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.0.33-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6586/mock-1.0.33-1.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-08-06 18:46:28 UTC
mock-1.1.26-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.26-1.fc17

Comment 5 Fedora Update System 2012-08-06 18:46:58 UTC
mock-1.1.26-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.26-1.el6

Comment 6 Fedora Update System 2012-08-06 18:47:30 UTC
mock-1.1.26-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.26-1.fc16

Comment 7 Fedora Update System 2012-08-06 18:47:58 UTC
mock-1.0.34-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.34-1.el5

Comment 8 Fedora Update System 2012-08-15 21:49:15 UTC
mock-1.1.26-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.26-2.fc17

Comment 9 Fedora Update System 2012-08-17 11:52:51 UTC
mock-1.1.26-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.26-2.el6

Comment 10 Fedora Update System 2012-08-17 11:54:12 UTC
mock-1.1.26-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.26-2.fc16

Comment 11 Fedora Update System 2012-08-26 00:23:23 UTC
mock-1.1.26-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-09-14 15:27:47 UTC
mock-1.1.27-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.27-2.el6

Comment 13 Fedora Update System 2012-09-14 15:28:48 UTC
mock-1.1.27-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.27-2.fc16

Comment 14 Fedora Update System 2012-09-14 15:29:41 UTC
mock-1.0.35-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.35-1.el5

Comment 15 Fedora Update System 2012-09-14 15:30:51 UTC
mock-1.1.27-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.27-2.fc17

Comment 16 Fedora Update System 2012-11-01 21:09:50 UTC
mock-1.1.28-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.el6

Comment 17 Fedora Update System 2012-11-01 21:11:06 UTC
mock-1.1.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc18

Comment 18 Fedora Update System 2012-11-01 21:12:18 UTC
mock-1.0.36-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.36-1.el5

Comment 19 Fedora Update System 2012-11-01 21:13:26 UTC
mock-1.1.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc17

Comment 20 Fedora Update System 2012-11-01 21:14:32 UTC
mock-1.1.28-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc16

Comment 21 Fedora Update System 2012-11-15 02:33:29 UTC
mock-1.1.28-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2012-11-15 02:35:33 UTC
mock-1.1.28-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2012-11-20 19:38:03 UTC
mock-1.0.36-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Matyas Selmeci 2012-11-26 23:54:15 UTC
This seems to have gotten unfixed in 1.0.36. I am getting the same symptom as the OP installing from EPEL 5.

Comment 25 Dean T. Hu 2012-11-27 08:04:31 UTC
Tried to build a package using mock-1.0.36 and got:

Traceback (most recent call last):
  File "/usr/sbin/mock", line 66, in ?
    import mockbuild.backend
  File "/usr/lib/python2.4/site-packages/mockbuild/backend.py", line 237
    finally:
          ^
SyntaxError: invalid syntax

Comment 26 Clark Williams 2012-11-28 16:06:37 UTC
Yes, when I was merging some fixes from the mock-1.1 branch I let the unshare bug creep in as well as some python2.6+ syntax. 

mock-1.0.37 will be on testing shortly and should fix this problem.


Note You need to log in before you can comment on or make changes to this bug.